// © 2024 Long Ly. All rights reserved. Any unauthorized use, reproduction, or distribution of this trademark is strictly prohibited and may result in legal action.

#pragma once

#include "CoreMinimal.h"
#include "GameplayTagContainer.h"
#include "Kismet/BlueprintFunctionLibrary.h"
#include "OLSGameplayTagsBlueprintLibrary.generated.h"

/**
 * 
 */
UCLASS()
class OLS_API UOLSGameplayTagsBlueprintLibrary : public UBlueprintFunctionLibrary
{
	GENERATED_BODY()

public:

	UFUNCTION(BlueprintPure, Category = "GameplayTags")
	static FGameplayTagContainer RequestAllGameplayTags(bool onlyIncludeDictionaryTags);
	
};
